#!/usr/bin/env python
# 2010 copyright Louis Taylor
# released under the GPL v3

from distutils.core import setup
import os, sys
import glob


def main():
    data_files = glob.glob("data/*")  # data_files a list of strings
    # of the relative paths of all non-py files that should be included
    
    setup( name="taylortype", # this should start with a lowercase letter 
        #so that it can be used as a debian package name later on
    version="0.3alpha", # string, version of your program, not python version
    description="TaylorType is a program which speeds up the creation of LaTeX documents.", # short
    author="Louis Taylor",
    author_email="louis@taylor.bot.nu",
    url="http://taylortype.sourceforge.net/", # home page for end-users
    license="GPL v3",
    packages=["taylortype"], # python packages, not debian packages
    
    data_files=[('/usr/share/taylortype/data/', data_files), 
        ('/usr/share/applications', ['desktop/taylortype.desktop']),
        ('/usr/share/pixmaps', ['desktop/taylortype.svg'])], # data_files is a list of tuples
            # each tuple contaning an installation path and a list of data files
    
    scripts=["runner/taylortype"], # the script that should be run and installed in /usr/bin
    classifiers=["Development Status :: 3 - Alpha", "Intended Audience :: End Users/Desktop", "License :: OSI Approved :: GNU General Public License (GPL)", "Operating System :: POSIX :: Linux"],
        # a bunch of optional tags, a list of classifiers can be found at http://pypi.python.org/pypi?:action=list_classifiers
    long_description='''It is a small program written in python which will compile any LaTeX document you give it with a single click. The emphasis is on a very lightweight and simple gui, the only interaction happens in the system tray, with two file selectors and a checkbox.
It uses gtk for the frontend and pure python for the backend.
It depends on LaTeX, BibTeX and common gnome components, including pynotify and gconf.''')

if __name__ == "__main__":
    main()  
